Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum JQueryAttachType

    java.lang.Object
      java.lang.Enum<JQueryAttachType>
          org.richfaces.component.JQueryAttachType

All Implemented Interfaces:
  Serializable, Comparable<JQueryAttachType>

    public enum JQueryAttachType

extends Enum<JQueryAttachType>

Author:
  nick

Enum Constant Summary
`bind`
`live`
`one`

Field Summary
`static JQueryAttachType` | `DEFAULT`

Method Summary
`static JQueryAttachType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JQueryAttachType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### bind

    public static final JQueryAttachType bind

### live

    public static final JQueryAttachType live

### one

    public static final JQueryAttachType one

Field Detail

### DEFAULT

    public static final JQueryAttachType DEFAULT

Method Detail

### values

    public static JQueryAttachType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JQueryAttachType c : JQueryAttachType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JQueryAttachType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.